org.bdgenomics.adam.cli

# CountReadKmersArgs

###
Related Doc: package cli

#### class CountReadKmersArgs extends Args4jBase with ParquetArgs

Linear Supertypes
ParquetArgs, ParquetRDDArgs, Args4jBase, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CountReadKmersArgs
2. ParquetArgs
3. ParquetRDDArgs
4. Args4jBase
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new CountReadKmersArgs()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### var blockSize: Int

   Definition Classes
     ParquetArgs → ParquetRDDArgs

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### var compressionCodec: CompressionCodecName

   Definition Classes
     ParquetArgs → ParquetRDDArgs

8. #### var disableDictionaryEncoding: Boolean

   Definition Classes
     ParquetArgs → ParquetRDDArgs

9. #### var doPrintUsage: Boolean

   Definition Classes
     Args4jBase

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### var inputPath: String

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### var kmerLength: Int

18. #### var logLevel: String

    Definition Classes
      ParquetArgs

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### var outputPath: String

23. #### var pageSize: Int

    Definition Classes
      ParquetArgs → ParquetRDDArgs

24. #### var printHistogram: Boolean

25. #### var printMetrics: Boolean

    Definition Classes
      Args4jBase

26. #### var repartition: Int

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toString(): String

    Definition Classes
      AnyRef → Any

29. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ParquetArgs

### Inherited from ParquetRDDArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped